import 'package:get/get.dart';
import 'package:vitalapp/managers/interfaces/account.dart';
import 'package:vitalapp/store/store.dart';

class SettingCenterController extends GetxController {
  /// 登出
  Future<void> logOut() async {
    final result = await Get.find<IAccountManager>().logout();
    if (result) {
      Store.user.currentSelectPatientInfo = null;
      Get.offAllNamed("/login");
    }
  }
}
